FLATPAK REMOTE-LS(1)

NAME
flatpak-remote-ls - Show available runtimes and applications

SYNOPSIS

flatpak remote-ls [OPTION...] REMOTE

DESCRIPTION

Shows runtimes and applications that are available in the remote repository with the name REMOTE. You can find all configured remote repositories with flatpak remote-list.

Unless overridden with the --user or --installation options, this command uses the default system-wide configuration.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--user
    Use the per-user configuration.

--system
    Use the default system-wide configuration.

--installation=NAME
    Use a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

-d, --show-details
    Show arches, branches and commit ids, in addition to the names.

--runtime
    Show only runtimes, omit applications.

--app
    Show only applications, omit runtimes.

--all, -a
    Show everything. By default locale and debug extensions as well as secondary arches when the primary arch in available are hidden.

--updates
    Show only those which have updates available.

--arch=ARCH
    Show only those matching the specied architecture. By default, only supported architectures are shown. Use --arch=* to show all archtectures.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--version
    Print version information and exit.

EXAMPLES

$ flatpak --user remote-ls --only-apps testrepo

    org.gnome.Builder
    org.freedesktop.glxgears

SEE ALSO

flatpak(1), flatpak-remote-list(1)